<template>
  <q-layout ref="layout" view="lHh Lpr lFf">
    <!--HEADER-->
    <q-header flat bordered class="bg-white">
      <q-toolbar>
        <q-btn
          flat
          dense
          round
          icon="las la-bars"
          aria-label="Menu"
          color="grey"
          @click="isDrawerOpen = !isDrawerOpen"
        />

        <q-toolbar-title class="cursor-pointer">
          <router-link :to="{name: 'home'}" tag="span">
            <span class="masies text-weight-light text-brown">
              Masies
            </span>
            <span class="text-caption text-grey-8">
              x
            </span>
            <span class="text-green text-weight-medium">
            Viure
          </span>
          <span class="text-caption text-grey-8">
            v0.01
          </span>
        </router-link>

        </q-toolbar-title>

        <q-btn dense :to="{ name: 'home', hash: '#mxv-newsletter' }" outline size="lg" class="subscribe-btn gt-xs btn btn-outline-primary mt-5" style="border-radius: 0">
          Inscriu-t'hi!
        </q-btn>
      </q-toolbar>
    </q-header>

    <!--DRAWER-->
    <q-drawer
      v-model="isDrawerOpen"
      overlay
      :width="200"
      :breakpoint="500"
      bordered
      content-class="bg-white"
      @click="isDrawerOpen = !isDrawerOpen"
    >
      <q-scroll-area class="fit">
        <q-list>
          <q-item dark class="text-brown text-bold" clickable v-ripple :to="{ name: 'home'}">
            <q-item-section avatar>
              <q-icon name="las la-home" />
            </q-item-section>

            <q-item-section>
              INICI
            </q-item-section>
          </q-item>

          <q-separator />

          <q-item exacte clickable v-ripple :to="{ name: 'home', hash: '#mxv-features'}">
            <q-item-section avatar>
              <q-icon name="las la-tools" />
            </q-item-section>

            <q-item-section>
              Eines
            </q-item-section>
          </q-item>

          <q-item exacte clickable v-ripple :to="{ name: 'home', hash: '#mxv-resources'}">
            <q-item-section avatar>
              <q-icon name="las la-hard-hat" />
            </q-item-section>

            <q-item-section>
              Recursos
            </q-item-section>
          </q-item>

          <q-item exacte clickable v-ripple :to="{ name: 'home', hash: '#mxv-howItWorks'}">
            <q-item-section avatar>
              <q-icon name="las la-cog" />
            </q-item-section>

            <q-item-section>
              Com funciona
            </q-item-section>
          </q-item>
          <q-item exacte clickable v-ripple :to="{ name: 'home', hash: '#mxv-newsletter'}">
            <q-item-section avatar>
              <q-icon name="las la-envelope" />
            </q-item-section>

            <q-item-section>
              Segueix-nos
            </q-item-section>
          </q-item>

          <q-separator />
          <q-item dark class="text-brown text-bold" clickable v-ripple :to="{ name: 'info'}">
            <q-item-section avatar>
              <q-icon name="las la-info" />
            </q-item-section>

            <q-item-section>
              INFORMACIÓ
            </q-item-section>
          </q-item>
          <q-separator />

        </q-list>
      </q-scroll-area>
    </q-drawer>

    <!--MAIN-->
    <q-page-container>
      <transition
        appear
        mode="out-in"
        enter-active-class="animated FadeIn"
        leave-active-class="animated FadeOut"
      >
        <router-view />
      </transition>
    </q-page-container>

    <!--FOOTER-->
    <Footer />

    <!-- place QPageScroller at end of page -->
    <q-page-scroller position="bottom-right" :scroll-offset="150" :offset="[18, 18]">
      <q-btn fab icon="las la-angle-double-up" color="green" />
    </q-page-scroller>
  </q-layout>
</template>

<script>
  import Footer from "pages/home/Footer"
  import NewsletterDialog from "@/components/NewsletterDialog"

  export default {
    name: 'MainLayout',
    components: {
      Footer
    },
    data () {
      return {
        isDrawerOpen: false,
        miniState: false
      }
    },
    mounted() {
      setTimeout(() => {
        (function (s, e, n, d, er) {
          s['Sender'] = er;
          s[er] = s[er] || function () {
            (s[er].q = s[er].q || []).push(arguments)
          }, s[er].l = 1 * new Date();
          var a = e.createElement(n),
              m = e.getElementsByTagName(n)[0];
          a.async = 1;
          a.src = d;
          m.parentNode.insertBefore(a, m)
        })(window, document, 'script', 'https://cdn.sender.net/accounts_resources/universal.js', 'sender');
        sender('70932841b68988')

        this.openDialog()
      }, 2000)
    },

    methods: {
      openDialog () {
        this.$q.dialog({
          component: NewsletterDialog,

          // optional if you want to have access to
          // Router, Vuex store, and so on, in your
          // custom component:
          parent: this, // becomes child of this Vue node
                        // ("this" points to your Vue component)
                        // (prop was called "root" in < 1.1.0 and
                        // still works, but recommending to switch
                        // to the more appropriate "parent" name)
        })
      }
    }
  }
</script>

<style scoped lang="stylus">
.masies
  color: $default

.subscribe-btn:hover
  color: #856404
.q-item.q-router-link--active, .q-item--active
  color: green
</style>
